Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1181927 - Review Request: python3-mwparserfromhell - A parser for MediaWiki wikicode
Summary: Review Request: python3-mwparserfromhell - A parser for MediaWiki wikicode
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-01-14 06:02 UTC by Kunal Mehta
Modified: 2015-08-15 12:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-15 12:11:54 UTC


Attachments (Terms of Use)

Description Kunal Mehta 2015-01-14 06:02:37 UTC
Spec URL: http://legoktm.com/rpm/python3-mwparserfromhell.spec
SRPM URL: http://legoktm.com/rpm/python3-mwparserfromhell-0.3.3-1.fc21.src.rpm

Description: mwparserfromhell (the MediaWiki Parser From Hell) is a Python package that provides an easy-to-use and outrageously powerful parser for MediaWiki wikicode.

I've been using this library for a while now and have worked with the upstream maintainer on some bugs and contributed patches.

Fedora Account System Username: legoktm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8614249

This is my first package and I am looking for a sponsor.

Comment 1 Parag AN(पराग) 2015-01-15 14:42:49 UTC
Hi Kunal,
   We have this process http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group to get sponsored into the packager group. Can you either submit few more packages and/or some (4-5) full detailed package reviews? This is needed to make sure package submitter understands the rpm packaging well and follows the fedora packaging guidelines.

Please go through the following links
1) http://fedoraproject.org/wiki/Package_Review_Process

2) https://fedoraproject.org/wiki/PackagingGuidelines

3) To find the packages already submitted for review, check http://fedoraproject.org/PackageReviewStatus/

4) http://fedoraproject.org/wiki/Packaging:ReviewGuidelines is useful while doing package reviews.

5) https://fedorahosted.org/FedoraReview/ this is fedora-review tool to help review packages in fedora. You need to use this and do un-official package reviews of packages submitted by other contributors. While doing so mention "This is un-official review of the package." at top of your review comment.

Good to review packages listed in http://fedoraproject.org/PackageReviewStatus/NEW.html


If you got any questions please ask :)

Comment 2 Parag AN(पराग) 2015-01-15 16:03:17 UTC
I will suggest you to install fedora-review package, run it on this package as
fedora-review -b 1181927 -m fedora-rawhide-x86_64
and analyze the log from this command as well as generated review files.

Comment 3 Pranav Kant 2015-02-02 20:41:34 UTC
This is an unofficial review.

Please consider fixing following issues.

- Please use %license for your LICENSE file. Licenses should be cloud-safe.
See : https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
See :  http://fedoraproject.org/wiki/Changes/Use_license_macro_in_RPMs_for_packages_in_Cloud_Image

- Permissions on files are not set properly. Permission on executables should be 0755, yours are 0775. See rpmlint output below.


RPMLINT OUTPUT 
------
Checking: python3-mwparserfromhell-0.3.3-1.fc21.x86_64.rpm
          python3-mwparserfromhell-0.3.3-1.fc21.src.rpm
python3-mwparserfromhell.x86_64: W: spelling-error Summary(en_US) wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.x86_64: W: spelling-error %description -l en_US wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/mwparserfromhell/parser/_tokenizer.cpython-34m.so 0775L
python3-mwparserfromhell.src: W: spelling-error Summary(en_US) wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.src: W: spelling-error %description -l en_US wikicode -> wiki code, wiki-code, Unicode
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 4 Kushal Khandelwal (kushal124) 2015-02-22 18:19:35 UTC
This is an unofficial review.
And I think you should also package for python2


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[?]: Package does not contain kernel modules.
[?]: Package contains no static executables.
[?]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in /home/kushal/package-review-
     test/1181927-python3-mwparserfromhell/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.4/site-packages,
     /usr/lib64/python3.4

     Not very sure of this , but maybe you have to include %{python3_sitelib}/%{pkgname}

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.4/site-
     packages, /usr/lib64/python3.4

[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[s]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

[!]: Requires correct, justified where necessary.
    I think you can remove the require:python3

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 13 files.
[!]: Package complies to the Packaging Guidelines
    You should make changes to the source url.
    See : https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github
    or use pypi source

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-mwparserfromhell-0.3.3-1.fc23.x86_64.rpm
          python3-mwparserfromhell-0.3.3-1.fc23.src.rpm
python3-mwparserfromhell.x86_64: W: spelling-error Summary(en_US) wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.x86_64: W: spelling-error %description -l en_US wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/mwparserfromhell/parser/_tokenizer.cpython-34m.so 0775L
python3-mwparserfromhell.src: W: spelling-error Summary(en_US) wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.src: W: spelling-error %description -l en_US wikicode -> wiki code, wiki-code, Unicode
2 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>sh-4.3# rpmlint python3-mwparserfromhell
python3-mwparserfromhell.x86_64: W: spelling-error Summary(en_US) wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.x86_64: W: spelling-error %description -l en_US wikicode -> wiki code, wiki-code, Unicode
python3-mwparserfromhell.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/mwparserfromhell/parser/_tokenizer.cpython-34m.so 0775L
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
]0;<mock-chroot><mock-chroot>sh-4.3# echo 'rpmlint-done:'



Requires
--------
python3-mwparserfromhell (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    python3
    rtld(GNU_HASH)



Provides
--------
python3-mwparserfromhell:
    python3-mwparserfromhell
    python3-mwparserfromhell(x86-64)



Unversioned so-files
--------------------
python3-mwparserfromhell: /usr/lib64/python3.4/site-packages/mwparserfromhell/parser/_tokenizer.cpython-34m.so

Source checksums
----------------
https://github.com/earwig/mwparserfromhell/archive/v0.3.3.tar.gz :
  CHECKSUM(SHA256) this package     : 0f4f2fb7906855ebb5109f9e1df0f0bd54819c2abaeb136b011825346b120524
  CHECKSUM(SHA256) upstream package : 0f4f2fb7906855ebb5109f9e1df0f0bd54819c2abaeb136b011825346b120524


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1181927 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Parag AN(पराग) 2015-08-15 12:11:54 UTC
I am going to directly close this as I have not got any reply to my comment#1 and comment#2.

I am going to close this and any other review by this submitter based on https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Please feel free to reopen if needed.


Note You need to log in before you can comment on or make changes to this bug.